use crate::{prelude::*, templates::Templates};
use std::sync::Arc;

#[derive(Clone)]
pub struct State {
    pub templates: Arc<Templates>,
}

impl State {
    pub async fn try_new() -> Result<Self> {
        let templates = Arc::new(Templates::try_load("src/templates").await?);

        Ok(Self { templates })
    }
}
